members.dev
Docs
Benefit schedules

List Benefit Schedules

Lists Benefit Schedules

GET
/v1/schedules

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Query Parameters

member_ids?array<>|

Filter schedules to one or more member IDs. Provide the parameter multiple times for multiple members.

page?integer

Page number

Default1
Range1 <= value
size?integer

Page size

Default50
Range1 <= value <= 100

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.members.dev/portal/v1/schedules"
{
  "items": [
    {
      "id": "string",
      "member_ids": [
        "string"
      ],
      "status": "scheduled",
      "starts_at": null,
      "recurring": {
        "recurring_type": "never"
      },
      "expiry": {
        "expiry_type": "never"
      },
      "benefit_grants": [
        {
          "benefit_id": "string",
          "value_initial": 0,
          "expiry": {
            "expiry_type": "never"
          }
        }
      ],
      "parent": {
        "subscription_id": "string",
        "product_id": "string"
      },
      "state_transitions": {
        "started_at": {},
        "past_due_at": {},
        "canceled_at": {},
        "expired_at": {},
        "revoked_at": {}
      },
      "next_update": {
        "updates_at": null,
        "update_type": "activates"
      },
      "created_at": null,
      "updated_at": null
    }
  ],
  "total": 0,
  "page": 1,
  "size": 1,
  "pages": 0
}
{
  "type": "https://api.members.dev/errors/invalid_credentials",
  "title": "Invalid credentials",
  "status": 401,
  "detail": "Invalid API Key or token.",
  "code": "invalid_credentials"
}
{
  "type": "https://api.members.dev/errors/not_linked_to_tenant",
  "title": "Not linked to tenant",
  "status": 403,
  "detail": "Not linked to this tenant",
  "code": "not_linked_to_tenant"
}
{
  "type": "https://api.members.dev/errors/member_not_found",
  "title": "Member not found",
  "status": 404,
  "detail": "No member exists with the given id in this organization.",
  "code": "member_not_found"
}
{
  "type": "https://api.members.dev/errors/members_context_required",
  "title": "Members context required",
  "status": 422,
  "detail": "This client has multiple organizations. Send the Members-Context header with the organization id (org_…) for this request.",
  "code": "members_context_required"
}
{
  "type": "https://api.members.dev/errors/rate_limit_exceeded",
  "title": "Rate limit exceeded",
  "status": 429,
  "detail": "Rate limit exceeded",
  "code": "rate_limit_exceeded"
}